package net.saltymc.eaa.mixin;

import net.minecraft.client.network.ClientPlayerEntity;
import net.saltymc.eaa.EaaMod;
import net.saltymc.eaa.handler.CommandHandler;
import net.saltymc.eaa.util.ResponseEntity;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfo;
/*
@Mixin(TitleScreen.class)
public class ExampleMixin {
	@Inject(at = @At("HEAD"), method = "init()V")
	private void init(CallbackInfo info) {
		System.out.println("This line is printed by an example mod mixin!");
	}
}
*/
@Mixin(ClientPlayerEntity.class)
public class ExampleMixin { //ClientPlayerEntityMixin

	private static final Logger LOGGER = LogManager.getLogger();

	@Inject(method = "sendChatMessage", at = @At("HEAD"), cancellable = true)
	private void onSendChatMessage(String message, CallbackInfo info) {
		ResponseEntity responseEntity = EaaMod.getInstance().onEvent(message);

		if (responseEntity.isInterceptEvent())
			info.cancel();

	}
}